Loading...
Searching...
No Matches
metadata.h File Reference
Extensions » Metadata

`pipewire/extensions/metadata.h` More...

Go to the source code of this file.

## Data Structures

struct | pw_metadata_events
| Metadata events More...
struct | pw_metadata_methods
| Metadata methods More...

## Macros

#define | PW_TYPE_INTERFACE_Metadata PW_TYPE_INFO_INTERFACE_BASE "Metadata"
#define | PW_METADATA_PERM_MASK PW_PERM_RWX
#define | PW_VERSION_METADATA 3
#define | PW_EXTENSION_MODULE_METADATA PIPEWIRE_MODULE_PREFIX "module-metadata"
#define | PW_METADATA_EVENT_PROPERTY 0
#define | PW_METADATA_EVENT_NUM 1
#define | PW_VERSION_METADATA_EVENTS 0
#define | PW_METADATA_METHOD_ADD_LISTENER 0
#define | PW_METADATA_METHOD_SET_PROPERTY 1
#define | PW_METADATA_METHOD_CLEAR 2
#define | PW_METADATA_METHOD_NUM 3
#define | PW_VERSION_METADATA_METHODS 0
#define | pw_metadata_method(o, method, version, ...)
#define | pw_metadata_add_listener(c, ...) pw_metadata_method(c,add_listener,0,__VA_ARGS__)
#define | pw_metadata_set_property(c, ...) pw_metadata_method(c,set_property,0,__VA_ARGS__)
| Set a metadata property.
#define | pw_metadata_clear(c) pw_metadata_method(c,clear,0)
| Clear all metadata.
#define | PW_KEY_METADATA_NAME "metadata.name"
#define | PW_KEY_METADATA_VALUES "metadata.values"

## Detailed Description

`pipewire/extensions/metadata.h`